squareball 0.2.0.29-1f41 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs
Data Fields
sb_error_t Struct Reference

`#include <squareball/sb-error.h>`

## Data Fields
int | code
char * | msg

## Detailed Description

Data structure that represents an error object.

Examples:
  hello_configparser.c, hello_dir_create.c, hello_file_read.c, and hello_file_write.c.

## Field Documentation

int sb_error_t::code

Integer that stores the error code.

Negative error codes are reserved for internal usage, and should not be used by applications developed with this library. Also, 0 is not a good value for an error code, as it may be confused with "no error".

char* sb_error_t::msg

Human-readable error message.

Examples:
  hello_configparser.c, hello_dir_create.c, hello_file_read.c, and hello_file_write.c.

The documentation for this struct was generated from the following file:

- squareball/sb-error.h